package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouReportDailyExplore;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 广告组加速探索报表
 * @author jeecg-boot
 * 2021-08-18
 * @version V1.0
 */
public interface IKuaishouReportDailyExploreService extends IService<KuaishouReportDailyExplore> {

    void getExploreUnitReports(Long accountId, Long unitId);

    List<KuaishouReportDailyExplore> getUnitListByStudyStatus();

    Result<Object> todaylist(JSONObject request);

    Result<Object> historyList(JSONObject request);

    Result<Object> openBudgets(Long accountId, JSONArray unitIds,Long exploreBudget);
}
